Friday, February 17th 2012

OS X "Mountain Lion" Drops Support for Several Older Mac Models

Launched yesterday as a developer-preview, Apple's OS X "Mountain Lion" will support fewer Macs than its predecessor, probably because of increases in hardware requirements for smooth operation that older Macs can't quite guarantee. The support list for Mountain Lion looks like this:
  • iMac (mid 2007 or later)
  • MacBook (13-inch Aluminum, 2008), (13-inch, plastic, Early 2009 or later)
  • MacBook Pro (13-inch, Mid-2009 or later), (15-inch, 2.4/2.2 GHz), (17-inch, Late 2007 or later)
  • MacBook Air (Late 2008 or later)
  • Mac Mini (Early 2009 or later)
  • Mac Pro (Early 2008 or later)
  • Xserve (Early 2009)
As you can see, some x86 Mac models are out of the support list, including importantly, the pre-Unibody plastic Macbook Pros. Perhaps Apple will support Mac OS X "Lion" with security updates for a lot longer.Source: TUAW
Add your own comment

15 Comments on OS X "Mountain Lion" Drops Support for Several Older Mac Models

#1
Completely Bonkers
probably because of increases in hardware requirements for smooth operation that older Macs can't quite guarantee
Nonsense. Either they can't be bothered to support some chipset or device or gpu (or maybe EFI/bios lack of walled garden) because they are so short of resources or money (lol) or they are deliberately building in obsolescence to encourage a "mobile phone view" of ownership... renew and replace every 2 years.

There is no reason an x86 from 2007 or 2008 device cannot run OS X.lion

That's like Microsoft turning round and saying Windows 8 not compatible with x86 Core 2 or earlier.
Posted on Reply
#2
NC37
Wow Apple is getting to be real jerks about this. Used to be it was a 5 year cutoff but the reasons matched because they'd add in Core Image/etc which demanded better hardware. In 5 years the hardware would change enough to warrant a cutoff. But this time...there is no technical reason why a Mac Pro from 08 couldn't handle it.

Yeah I agree, they are wanting people to dump hardware for new much faster. Which defeats the classical purpose of owning a Mac, as well as takes a crap on resale value. Macs would just work, and work, and be viable for years. Buying a new Mac within 5 years used to be near unheard of. People did it but you had to be either a professional or rich to do it constantly.

I wonder if the old hacking groups are still around. Used to be a group that would make bootloaders to force OSX on Macs that were cut off. I did it on old 604e machines and then later on G3s. Yeah OSX wouldn't be super, but it would work.
Posted on Reply
#3
HillBeast
This is exactly what I hate about Apple: constant telling people to upgrade. This is ridiculous considering you can run Windows 7 on a Pentium 2 (why you'd want to is anyones guess but the option is there). I ran Windows Server 2008 on a P2 @ 333MHz a few years ago and there is NO WAY I would dream of a Mac having that much backwards compatibility.

Yes, the people who made XPostFacto could probably do the same thing again and fudge the new version to work on it, but really it's not like they are going PPC -> x86 or 68k -> PPC. This is just ridiculous. An original Core based Mac Pro is still a powerful machine and could easily run whatever they are putting into the new version... unless the new version sits in the background running Prime95 or SuperPi or something.

Unsurprisingly I can see Apple would do that...
Posted on Reply
#4
Frick
Fishfaced Nincompoop
by: Completely Bonkers
Nonsense. Either they can't be bothered to support some chipset or device or gpu (or maybe EFI/bios lack of walled garden) because they are so short of resources or money (lol) or they are deliberately building in obsolescence to encourage a "mobile phone view" of ownership... renew and replace every 2 years.

There is no reason an x86 from 2007 or 2008 device cannot run OS X.lion

That's like Microsoft turning round and saying Windows 8 not compatible with x86 Core 2 or earlier.
+1. This is nonsense but not surprising.
Posted on Reply
#5
eidairaman1
so apple is screwing over their own customers. Glad I never bought 1
Posted on Reply
#6
Red_Machine
by: btarunr
The support list for Mountain Lion looks like this:
  • iMac (mid 2007 or later)
  • MacBook (13-inch Aluminum, 2008), (13-inch, plastic, Early 2009 or later)
  • MacBook Pro (13-inch, Mid-2009 or later), (15-inch, 2.4/2.2 GHz), (17-inch, Late 2007 or later)
  • MacBook Air (Late 2008 or later)
  • Mac Mini (Early 2009 or later)
  • Mac Pro (Early 2008 or later)
  • Xserve (Early 2009)

Don't you mean "or earlier"? This implies that anything AFTER those dates isn't supported.
Posted on Reply
#8
Marv
by: Red_Machine
Don't you mean "or earlier"? This implies that anything AFTER those dates isn't supported.
No it doesn't? Devices of 200x or later are supported, IE: the earliest device that is supported is the date they give, and anything later is also supported. Anything earlier is not.

On a separate note, not much of a surprise to be honest, but then Macs aren't like they were a few years ago. Now they're mostly bought by hipsters to play Farmville on in Starbucks.
Posted on Reply
#9
TheMailMan78
Big Member
by: btarunr
Launched yesterday as a developer-preview, Apple's OS X "Mountain Lion" will support fewer Macs than its predecessor, probably because of increases in hardware requirements for smooth operation that older Macs can't quite guarantee. The support list for Mountain Lion looks like this:
  • iMac (mid 2007 or later)
  • MacBook (13-inch Aluminum, 2008), (13-inch, plastic, Early 2009 or later)
  • MacBook Pro (13-inch, Mid-2009 or later), (15-inch, 2.4/2.2 GHz), (17-inch, Late 2007 or later)
  • MacBook Air (Late 2008 or later)
  • Mac Mini (Early 2009 or later)
  • Mac Pro (Early 2008 or later)
  • Xserve (Early 2009)
As you can see, some x86 Mac models are out of the support list, including importantly, the pre-Unibody plastic Macbook Pros. Perhaps Apple will support Mac OS X "Lion" with security updates for a lot longer.

Source: TUAW
This is VERY typical of Apple. Ask any last gen. G5 PowerPC owner. I know studio who bought 100k worth of equipment to it not be able to run the new OSX 1 year later. They run PC's now.
Posted on Reply
#10
Delta6326
Lol I can understand dropping support on stuff older than 2006, but really? It's not like they have tons of hardware they have to take care of, only the stuff they put in thats like 8 M/B a year ETC. they really most be lazy.:nutkick:
Posted on Reply
#11
Wrigleyvillain
PTFO or GTFO
Yeah...the G5 drop was a bit more understandable so as to push the new Intel line but as they too are 64-bit it wasn't an actual hardware limitation of any kind I don't think. This definitely just sounds like they want to sell more new Macs, at least with the info we have now.
Posted on Reply
#12
Mussels
Moderprator
my guess is the GPU hardware. they must have a minimum feature set they want in there, and the crappy intel IGP's dont meet it.
Posted on Reply
#13
Inceptor
by: Mussels
my guess is the GPU hardware. they must have a minimum feature set they want in there, and the crappy intel IGP's dont meet it.
Maybe for some of them, but they've got Mac Pro's on the list, those are Xeon machines with discrete graphics.
I think it probably has more to do with the minimum hardware requirements that they're probably building into their future software suites (Garage band, iEverything, etc).
So, they can say it's all for the good, everything will be better, with no compatibility issues (and minimal tech support needed), and at the same time force some of their user base to spend money on a system upgrade. That's free advertising and good feeling (for many mac users) built in to a money grab to increase quarterly sales numbers and benefit their stock price.
Sounds like typical Apple strategy.
Posted on Reply
#14
theubersmurf
by: Completely Bonkers
...they are deliberately building in obsolescence to encourage a "mobile phone view" of ownership... renew and replace every 2 years.
They already do, they've been doing it for years with the limitations of the motherboard to host certain volumes of memory.
Posted on Reply
#15
Halk
by: Completely Bonkers
Nonsense. Either they can't be bothered to support some chipset or device or gpu (or maybe EFI/bios lack of walled garden) because they are so short of resources or money (lol) or they are deliberately building in obsolescence to encourage a "mobile phone view" of ownership... renew and replace every 2 years.

There is no reason an x86 from 2007 or 2008 device cannot run OS X.lion

That's like Microsoft turning round and saying Windows 8 not compatible with x86 Core 2 or earlier.
I think you're quite correct, however I'd be wary of the Microsoft comparison. Us Windows users are a much more diverse bunch than Mac users, additionally Windows covers all price points, rather than just the fashionable ones that Macs cover.

I suspect the reason is dead centre between the two you specified - "Do we support this older chipset? Why bother, it's additional work and we want those customers to buy new Macs not retool old ones".
Posted on Reply
Add your own comment